DCMTK - Feature #428

wchar_t-Unterstiitzung flir OFCommandLine
2012-07-04 11:10 - J6rg Riesmeier

Status: Assigned Start date: 2012-07-04
Priority: Normal Due date:

Assignee: % Done: 90%
Category: Library Estimated time: 0:00 hour

Target version:
Module: ofstd und alle weiteren Compiler:

Operating System:

Description

Momentan funktioniert die DCMTK-Kommandozeilenklasse nur mit 8-Bit-Zeichensétzen und UTF-8, aber nicht mit dem unter
Windows verwendeten UTF-16/UCS-2.

Entsprechende Unterstiitzung macht es wohl erforderlich, die main()-Funktion entsprechend zu &ndern:

wmain( int argc, wchar_t *argv[ ] )

{

Damit durften alle Kommandozeilenprogramme im DCMTK betroffen sein ...

History

#1 - 2012-07-10 12:19 - J6rg Riesmeier
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 80
Patch mit notwendigen Anderungen erzeugt und intern zirkuliert.

#2 - 2012-07-17 08:57 - J6rg Riesmeier
- Status changed from New to Assigned

- % Done changed from 80 to 90

Hier ist der Commit: http://git.dcmtk.org/web?p=dcmtk.qgit;a=commit;h=88bf211907ca5adfa77e2ed390652c3fal16804a

Es fehlen noch die Anpassungen in den Kommandozeilenprogrammen ...

#3 - 2013-07-31 15:23 - Jorg Riesmeier
- Assignee deleted (Jorg Riesmeier)
- Module changed from ofstd und alle weiteren? to ofstd und alle weiteren

- Target version set to 3.6.2

#4 - 2017-03-24 12:43 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#5 - 2018-02-05 19:39 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#6 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
